## before packaging, delete the old zoom_amd64.deb in SOURCES
%define __os_install_post %{nil}

%define _requires_exceptions libcef.so()(64bit)\\|libffmpeg.so()(64bit)

Name: zoom
Version: 6.0.2.4680
Release: %mkrel 1
Summary: Zoom, Video Conferencing and Web Conferencing Service
Group: Networking/Instant messaging
License: Proprietary
URL: https://zoom.us/download
Requires: lib64glib2.0_0
Requires: libxcb
Requires: lib64xcb-util-keysyms1
Requires: lib64xcb-util-image0
Requires: lib64xcomposite1
Requires: lib64xrender1
Requires: lib64xslt1
Requires: lib64xtst6
Requires: lib64mesaglu1
Requires: lib64pulseaudio0
Requires: lib64sqlite3_0
Requires: lib64fontconfig1
Requires: ibus

Conflicts: brackets

#we do not want this package to provide any library files to rpm
AutoProv: no

%description
Zoom, the cloud meeting company, unifies cloud video conferencing, 
simple online meetings, and group messaging into one easy-to-use platform. 
Our solution offers the best video, audio, and screen-sharing experience 
across Zoom Rooms, Windows, Mac, Linux, iOS, Android, and H.323/SIP room systems.

%prep

%build
#use Debian10 since it uses openssl 1.1 which is the same we use
pushd %_sourcedir
wget -nc https://zoom.us/client/latest/zoom_amd64.deb
popd


%install
#stripping causes segfault of the binary
export DONT_STRIP=1
pushd %_sourcedir
ar p zoom_amd64.deb data.tar.xz | xz -d -9 | tar x -C %buildroot
popd

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
/opt/%{name}
%{_datadir}/applications/Zoom.desktop
%{_docdir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/application-x-zoom.png
%{_datadir}/pixmaps/Zoom.png
%{_bindir}/%{name}

%changelog
* Mon Apr 22 2024 pp <pp> 6.0.2.4680-1pclos2024
- new version

* Tue Apr 16 2024 pp <pp> 6.0.0.4563-1pclos2024
- new version

* Sat Mar 09 2024 pp <pp> 5.17.11.3835-1pclos2024
- new version

* Tue Feb 27 2024 pp <pp> 5.17.10.3512-1pclos2024
- new version

* Tue Jan 23 2024 pp <pp> 5.17.5.2543-1pclos2024
- new version

* Wed Dec 27 2023 pp <pp> 5.17.1.1840-1pclos2024
- new version

* Tue Dec 19 2023 pp <pp> 5.17.0.1682-1pclos2023
- new version

* Tue Nov 21 2023 pp <pp> 5.16.10.668-1pclos2023
- new version

* Tue Oct 31 2023 pp <pp> 5.16.6.382-1pclos2023
- new version

* Tue Oct 24 2023 pp <pp> 5.16.5.303-1pclos2023
- new version

* Sun Oct 01 2023 pp <pp> 5.16.2.8828-1pclos2023
- new version

* Tue Sep 26 2023 pp <pp> 5.16.1.8561-1pclos2023
- new version

* Tue Sep 19 2023 pp <pp> 5.16.0.8131-1pclos2023
- new version

* Wed Sep 06 2023 pp <pp> 5.15.12.7665-1pclos2023
- new version

* Wed Aug 30 2023 pp <pp> 5.15.11.7239-1pclos2023
- new version

* Tue Aug 22 2023 pp <pp> 5.15.10.6882-1pclos2023
- new version

* Mon Aug 14 2023 pp <pp> 5.15.7.6521-1pclos2023
- new version

* Tue Jul 25 2023 pp <pp> 5.15.5.5603-1pclos2023
- new version

* Wed Jul 12 2023 pp <pp> 5.15.3.4839-1pclos2023
- new version

* Thu Jun 29 2023 pp <pp> 5.15.2.4260-1pclos2023
- new version

* Thu Jun 22 2023 pp <pp> 5.15.0.4063-1pclos2023
- new version

* Thu Jun 08 2023 pp <pp> 5.14.10.3738-1pclos2023
- new version

* Sat May 06 2023 pp <pp> 5.14.7.2928-1pclos2023
- new version

* Wed Apr 19 2023 pp <pp> 5.14.5.2430-1pclos2023
- new version

* Tue Apr 04 2023 pp <pp> 5.14.2.2046-1pclos2023
- new version

* Tue Mar 21 2023 pp <pp> 5.14.0.1720-1pclos2023
- new version

* Tue Mar 07 2023 pp <pp> 5.13.11.1288-1pclos2023
- new version

* Tue Feb 28 2023 pp <pp> 5.13.10.1208-1pclos2023
- new version

* Tue Feb 07 2023 pp <pp> 5.13.7.683-1pclos2023
- new version

* Wed Jan 18 2023 pp <pp> 5.13.5.431-1pclos2023
- new version

* Tue Jan 10 2023 pp <pp> 5.13.4.711-1pclos2023
- new version

* Fri Dec 30 2022 pp <pp> 5.13.3.651-1pclos2023
- new version

* Tue Dec 20 2022 pp <pp> 5.13.0.599-1pclos2022
- new version

* Tue Nov 29 2022 pp <pp> 5.12.9.367-1pclos2022
- new version

* Thu Nov 10 2022 tex - 5.12.6.173-2pclos2022
- dont requre libffmpeg.so()(64bit)

* Tue Nov 08 2022 pp <pp> 5.12.6.173-1pclos2022
- new version

* Tue Oct 11 2022 pp <pp> 5.12.2.4816-1pclos2022
- new version

* Fri Sep 30 2022 pp <pp> 5.12.0.4682-1pclos2022
- new version

* Tue Aug 30 2022 pp <pp> 5.11.10.4400-1pclos2022
- new version

* Tue Aug 23 2022 pp <pp> 5.11.9.4300-1pclos2022
- new version

* Wed Jul 20 2022 pp <pp> 5.11.3.3882-1pclos2022
- new version

* Tue Jun 28 2022 pp <pp> 5.11.1.3595-1pclos2022
- new version

* Wed Jun 01 2022 pp <pp> 5.10.7.3311-1pclos2022
- new version

* Tue May 24 2022 pp <pp> 5.10.6.3192-1pclos2022
- new version
